--[[
Description: This plugin is part of the "Titan Panel [Attributes] Multi" addon. It shows your Muiltistrike Chance.
Site: http://www.curse.com/addons/wow/titan-panel-attributes-multi
Author: Canettieri
Special Thanks to Eliote.
--]]

local ADDON_NAME, L = ...;
local version = GetAddOnMetadata(ADDON_NAME, "Version")
local ID = "TITAN_MSTM"
local MK = 0
local startattribute
-----------------------------------------------
local function OnUpdate(self, id)
	local multistrike = GetMultistrike() or 0;

	if MK == multistrike then return end
	MK = multistrike

	TitanPanelButton_UpdateButton(id)
	return true
end
-----------------------------------------------
local function GetButtonText(self, id)
	local BarBalanceText = ""
	if TitanGetVar(ID, "ShowBarBalance") then
		if (MK - startattribute) > 0 then
			BarBalanceText = " |cFF69FF69["..(string.format("%.2f", (MK - startattribute))).."%".."]"
		elseif (MK - startattribute) < 0 then
			BarBalanceText = " |cFFFF2e2e["..(string.format("%.2f", (MK - startattribute))).."%".."]"
		end
	end

	local MKtext = "|cFFFFFFFF"..string.format("%.2f", MK) .."%"

	return L["multistrike"]..": ", MKtext..BarBalanceText
end
-----------------------------------------------
local function GetTooltipText(self, id)
	local text = TitanUtils_GetHighlightText("0%")

	local dif = MK - startattribute -- Cores da conta de valor
	if dif > 0 then
		text = "|cFF69FF69"..(string.format("%.2f", (MK - startattribute))).."%"
	elseif dif < 0 then
		text = "|cFFFF2e2e"..(string.format("%.2f", (MK - startattribute))).."%"
	end

	return L["tooltipDescriptionCha"]..L["multistrike"].."|r.\r"..L["session"]..text
end
-----------------------------------------------
local eventsTable = {
	PLAYER_ENTERING_WORLD = function(self)
		self:UnregisterEvent("PLAYER_ENTERING_WORLD")
		self.PLAYER_ENTERING_WORLD = nil

		startattribute = GetMultistrike() or 0
		MK = startattribute

		TitanPanelButton_UpdateButton(self.registry.id)
	end
}
-----------------------------------------------
L.Elib({
	id = ID,
	name = "Titan|cFFf9251a "..L["multistrike"].."|r".." Multi",
	tooltip = L["multistrike"],
	icon = "Interface\\Icons\\ability_warrior_bladestorm.blp",
	category = "Combat",
	version = version,
	onUpdate = OnUpdate,
	getButtonText = GetButtonText,
	getTooltipText = GetTooltipText,
	prepareMenu = L.PrepareAttributesMenu,
	savedVariables = {
		ShowIcon = 1,
		DisplayOnRightSide = false,
		ShowBarBalance = false,
		ShowLabelText = false,
	},
	eventsTable = eventsTable
})
